classification
Title: Draft implementation for PEP 364
Type: Stage:
Components: Library (Lib) Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: barry Nosy List: barry, brett.cannon, georg.brandl
Priority: normal Keywords: patch

Created on 2007-03-06 22:57 by barry, last changed 2008-12-05 13:03 by barry. This issue is now closed.

Files
File name Uploaded Description Edit
pep-xxxx.diff barry, 2007-03-06 22:57
Messages (5)
msg52065 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2007-03-06 22:57
PEP 364 describes (or very shortly, /will/ describe :) a mechanism for forward compatibility with PEP 3108 standard library renaming.  This is the reference implementation for that PEP.
msg67590 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-06-01 11:28
I guess this is heavily out of date now?
msg71559 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-08-20 17:18
At this point we should probably just have PEP 364 rejected since 2to3
handles the renamings so well.
msg76991 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-12-05 09:27
Ping!
msg77012 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2008-12-05 13:03
Withdrawn
History
Date User Action Args
2008-12-05 13:03:40barrysetstatus: open -> closed
resolution: fixed
messages: + msg77012
2008-12-05 09:27:27georg.brandlsetmessages: + msg76991
2008-08-20 17:18:14brett.cannonsetassignee: brett.cannon -> barry
messages: + msg71559
2008-06-01 11:28:21georg.brandlsetnosy: + georg.brandl
messages: + msg67590
2008-01-06 22:29:45adminsetkeywords: - py3k
versions: Python 3.0
2007-08-30 16:34:13loewissetversions: + Python 3.0, - Python 2.6
2007-08-23 19:56:26brett.cannonsetkeywords: + py3k
2007-03-06 22:57:38barrycreate